Uploaded image for project: 'Groovy'
  1. Groovy
  2. GROOVY-4915

Wrong access modifiers in JsonSlurper

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.8.0
    • Fix Version/s: 1.8.1, 1.9-beta-1
    • Component/s: JSON
    • Labels:
      None

      Description

      JsonSlurper.java has parseText() and parse() with package-private instead of public visibility.

      IntelliJ rightfully reports a warning when trying to use them.

        Attachments

          Activity

            People

            • Assignee:
              Guillaume Guillaume Delcroix
              Reporter:
              axel.fontaine Axel Fontaine
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: